<div *ngIf="(open$|async)" class="slides-panel-container">
  <ng-container *ngrxLet="slidesMenu$; let slidesMenu">
    <div class="btn-right-container">
      <app-menu-button
        [buttonValue]="slidesMenu.id"
        [enableTopBorderBoxShadow]="false"
        [selected]="slidesMenu.selected"
        (buttonClicked)="hideSlideMenu($event)">
        <mat-icon>{{slidesMenu.icon}}</mat-icon>
      </app-menu-button>
    </div>
    <mat-sidenav-container
      *ngrxLet="showMenu$; let showMenu"
      [@.disabled]="true"
      hasBackdrop="false"
      class="menu-flex-container">
      <mat-sidenav
        #drawer
        [opened]="showMenu"
        [style.width.vw]="(slideMenuChange$|async)"
        [style.max-width.vw]="(slideMenuChange$|async)"
        mode="side"
        position="end"
        [ngClass]="slidesMenu.labelState === MENU_STATE.MAX ? 'side-nav-full-width' : ''">
        <div
          class="right-menu-content-container clickable"
          [ngClass]="slidesMenu.labelState === MENU_STATE.MAX ? 'content-full-width' : ''">
          <app-menu-item-layout
            *ngIf="showMenu"
            [menu]="slidesMenu">
            <app-slides-label
              label
              [labelId]="(slideId$|async)"
              [displayId]="(slide$|async)?.dataView.local_id"
              [selected]="slidesMenu.selected"
              [labelState]="slidesMenu.labelState"
              [contentLoaded]="(loaded$|async)"
              (toggleTrayViewClick)="toggleTrayView($event)">
            </app-slides-label>
            <app-slides
              *ngIf="slidesMenu.labelState === MENU_STATE.MIDI"
              content
              [slideEntities]="(slides$|async)"
              [slideImages]="(slideImages$|async)"
              [selectedSlideId]="(slideId$|async)"
              [contentLoaded]="(loaded$|async)"
              [slidesSkip]="(slidesSkip$|async)"
              [slidesLimit]="SLIDES_BATCH_LIMIT"
              [maxSlidesCount]="(maxSlidesCount$|async)"
              (slideSelected)="selectSlide($event)"
              (loadNewSlidesPage)="loadNewSlidesPage($event)">
            </app-slides>
            <app-slides-tray-view
              *ngIf="slidesMenu.labelState === MENU_STATE.MAX"
              content
              [slideEntities]="(slides$|async)"
              [slideImages]="(slideImages$|async)"
              [contentLoaded]="(loaded$|async)"
              [slidesSkip]="(slidesSkip$|async)"
              [slidesLimit]="SLIDES_BATCH_LIMIT"
              [maxSlidesCount]="(maxSlidesCount$|async)"
              (slideSelected)="selectSlide($event)"
              (loadNewSlidesPage)="loadNewSlidesPage($event)">
            </app-slides-tray-view>
          </app-menu-item-layout>
        </div>
      </mat-sidenav>
      <mat-sidenav-content
        style="width: 100%"
        class="no-transition"
        [style.margin-right.vw]="(slideMenuChange$|async)">
        <svm-slide-viewer
          [slide]="(slide$|async)?.imageView"
          [selectedSlideId]="(slideId$|async)"
          [uiConfig]="uiConfig"
          [updateSlideViewer]="(mainMenuChange$|async)"
          (doubleClicked)="onDoubleClick()">
        </svm-slide-viewer>
      </mat-sidenav-content>
    </mat-sidenav-container>
  </ng-container>
</div>
